---
- name: Obtain WSUS SQL server name
  ansible.windows.win_reg_stat:
    path: HKLM:\SOFTWARE\Microsoft\Update Services\Server\Setup
    name: SqlServerName
  register: wsus_sql_server_name

- name: obtain WSUS DB name
  ansible.windows.win_reg_stat:
    path: HKLM:\SOFTWARE\Microsoft\Update Services\Server\Setup
    name: SqlDatabaseName
  register: wsus_db_name

- name: Set max xml per request to unlimited
  ansible.windows.win_shell: |
    $sqlConn = 'server=\\.\pipe\{{ wsus_sql_server_name.value }}\tsql\query;database={{ wsus_db_name.value }};trusted_connection=true;'
    $conn = New-Object System.Data.SQLClient.SQLConnection($sqlConn)
    $conn.Open()
    $cmd = $conn.CreateCommand()
    $cmd.CommandText = 'UPDATE tbConfigurationC SET MaxXMLPerRequest = 0'
    $rdr = $cmd.ExecuteReader()
    $dt = New-Object System.Data.DataTable
    $dt.Load($rdr)
    $conn.Close()
    $dt | ConvertTo-Json
  when:
    - wsus_sql_server_name.value is defined
    - wsus_db_name.value is defined
